commit:     cfc564e94e64013121a4c04a5fad28f783acc517
Author:     Ian Stakenvicius <axs <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 22 20:12:15 2017 +0000
Commit:     Ian Stakenvicius <axs <AT> gentoo <DOT> org>
CommitDate: Wed Feb 22 20:12:15 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cfc564e9

Revert "sys-devel/autoconf: drop old SLOT=2.5 versions"

This reverts commit b7aa8161d89b41dc641883c60bacfd671fafcd9e.

autoconf-2.69 was included in this commit and is stable on many arches,
very much breaking the deptree.

 sys-devel/autoconf/autoconf-2.69-r1.ebuild | 38 ++++++++++++++++++++
 sys-devel/autoconf/autoconf-2.69.ebuild    | 57 ++++++++++++++++++++++++++++++
 2 files changed, 95 insertions(+)

diff --git a/sys-devel/autoconf/autoconf-2.69-r1.ebuild 
b/sys-devel/autoconf/autoconf-2.69-r1.ebuild
new file mode 100644
index 0000000000..d8cbfdceb3
--- /dev/null
+++ b/sys-devel/autoconf/autoconf-2.69-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+# For usex.
+inherit eutils
+
+if [[ ${PV} == "9999" ]] ; then
+       EGIT_REPO_URI="git://git.savannah.gnu.org/${PN}.git
+               http://git.savannah.gnu.org/r/${PN}.git";
+       inherit git-2
+else
+       SRC_URI="mirror://gnu/${PN}/${P}.tar.xz
+               ftp://alpha.gnu.org/pub/gnu/${PN}/${P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~arm-linux ~x86-linux"
+fi
+
+DESCRIPTION="Used to create autoconfiguration files"
+HOMEPAGE="https://www.gnu.org/software/autoconf/autoconf.html";
+
+LICENSE="GPL-3"
+SLOT="2.5"
+IUSE="emacs"
+
+DEPEND=">=sys-devel/m4-1.4.16
+       >=dev-lang/perl-5.6"
+RDEPEND="${DEPEND}
+       >=sys-devel/autoconf-wrapper-13"
+PDEPEND="emacs? ( app-emacs/autoconf-mode )"
+
+if [[ -z ${__EBLITS__} && -n ${FILESDIR} ]] ; then
+       source "${FILESDIR}"/eblits/main.eblit || die
+fi
+src_prepare()   { eblit-run src_prepare   ; }
+src_configure() { eblit-run src_configure ; }
+src_install()   { eblit-run src_install   ; }

diff --git a/sys-devel/autoconf/autoconf-2.69.ebuild 
b/sys-devel/autoconf/autoconf-2.69.ebuild
new file mode 100644
index 0000000000..1282cb3788
--- /dev/null
+++ b/sys-devel/autoconf/autoconf-2.69.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="3"
+
+inherit eutils
+
+if [[ ${PV} == "9999" ]] ; then
+       EGIT_REPO_URI="git://git.savannah.gnu.org/${PN}.git
+               http://git.savannah.gnu.org/r/${PN}.git";
+       inherit git-2
+else
+       SRC_URI="mirror://gnu/${PN}/${P}.tar.xz
+               ftp://alpha.gnu.org/pub/gnu/${PN}/${P}.tar.xz";
+       KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh 
sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~arm-linux ~x86-linux"
+fi
+
+DESCRIPTION="Used to create autoconfiguration files"
+HOMEPAGE="https://www.gnu.org/software/autoconf/autoconf.html";
+
+LICENSE="GPL-3"
+SLOT="2.5"
+IUSE="emacs"
+
+DEPEND=">=sys-devel/m4-1.4.16
+       >=dev-lang/perl-5.6"
+RDEPEND="${DEPEND}
+       >=sys-devel/autoconf-wrapper-13"
+PDEPEND="emacs? ( app-emacs/autoconf-mode )"
+
+src_prepare() {
+       if [[ ${PV} == "9999" ]] ; then
+               autoreconf -f -i || die
+       fi
+       find -name Makefile.in -exec sed -i '/^pkgdatadir/s:$:-@VERSION@:' {} +
+}
+
+src_configure() {
+       # Disable Emacs in the build system since it is in a separate package.
+       export EMACS=no
+       econf --program-suffix="-${PV}" || die
+       # econf updates config.{sub,guess} which forces the manpages
+       # to be regenerated which we dont want to do #146621
+       touch man/*.1
+}
+
+src_install() {
+       emake DESTDIR="${D}" install || die
+       dodoc AUTHORS BUGS NEWS README TODO THANKS \
+               ChangeLog ChangeLog.0 ChangeLog.1 ChangeLog.2
+
+       local f
+       for f in "${ED}"/usr/share/info/*.info* ; do
+               mv "${f}" "${f/.info/-${SLOT}.info}" || die
+       done
+}

Reply via email to